Bug 246651 - Clean up dialogs when a jar file is not able to be downloaded
Summary: Clean up dialogs when a jar file is not able to be downloaded
Status: VERIFIED
Alias: None
Product: Fedora Management Console
Classification: Fedora
Component: General (Show other bugs)
(Show other bugs)
Version: 1.1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316
TreeView+ depends on / blocked
 
Reported: 2007-07-03 17:18 UTC by Nathan Kinder
Modified: 2015-01-05 00:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (3.52 KB, patch)
2007-07-03 17:18 UTC, Nathan Kinder
no flags Details | Diff

Description Nathan Kinder 2007-07-03 17:18:43 UTC
When the Console attempts to download a jar file from the Admin Server, a
progress indicator dialog pops up as the download progresses.  If there is a
problem with the download, such as the jar file not existing on the admin
server, an error dialog pops up, but the progress dialog remains, just sitting
at 0%.

To make things worse, the progress dialog keeps the focus, so the error dialog
is behind it.  If you dismiss the error dialog, the progress dialog remains, and
you must manually dismiss it.  This looks really confusing when it happens.

The attached diffs detect if there is a download problem, and gets rid of the
progress dialog in that case.  I also improved the message displayed in the
error dialog to tell the user to make sure that the proper console package is
installed on the Admin Server.

Comment 1 Nathan Kinder 2007-07-03 17:18:43 UTC
Created attachment 158459 [details]
CVS Diffs

Comment 2 Nathan Kinder 2007-07-03 17:27:42 UTC
Checked into console (HEAD).  Thanks for the review Rich!

Checking in src/com/netscape/management/client/topology/AbstractServerObject.java;
/cvs/dirsec/console/src/com/netscape/management/client/topology/AbstractServerObject.java,v
 <--  AbstractServerObject.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/com/netscape/management/client/topology/ServerNode.java;
/cvs/dirsec/console/src/com/netscape/management/client/topology/ServerNode.java,v
 <--  ServerNode.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/com/netscape/management/client/util/default.properties;
/cvs/dirsec/console/src/com/netscape/management/client/util/default.properties,v
 <--  default.properties
new revision: 1.2; previous revision: 1.1
done

Comment 4 Nathan Kinder 2007-12-11 17:39:13 UTC
To verify this bug, you will need to do the following:

- Install redhat-idm-console on a remote machine, ensuring that
~/.redhat-idm-console does not exist on this machine.
- On the Administration Server machine, remove the redhat-ds-console package
(you may have to force this due to package dependencies).
- Connect to the Administration Server with the remote Console.
- Attempt to open the Directory Server instance in Console.

At this point, the progress dialog should not be displayed, and an error dialog
should pop up telling you to install the proper console packages on the server
machine.

- Install the redhat-ds-console package on the Administration Server machine.
- Click on the "download" button in the Console.

The Directory Server Console jarfiles should be downloaded to the remote
Console.  You should then be able to open the Directory Server instance in the
Console.


Note You need to log in before you can comment on or make changes to this bug.